# Note that this is NOT a relocatable package
%define name	libglade
%define version	0.14
%define release 4mdk

Summary: libglade library
Name: %name
Version: %version
Release: %release
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.daa.com.au/pub/james/gnome/%{name}-%{version}.tar.bz2
Patch0: libglade-0.13-bonobo.patch.bz2
Patch1: libglade-0.14-bonobo-0.17-patch.bz2
Requires: gtk+ 
Requires: libxml bonobo >= 0.17
BuildRequires: bonobo-devel >= 0.17 XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel gdk-pixbuf-devel gnome-print-devel libjpeg-devel libpng-devel libtiff-devel libxml-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://www.daa.com.au/~james/gnome/

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package devel
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: libxml-devel 
Requires: gnome-libs-devel

%description devel
Libraries, include files, etc you can use to develop libglade applications.


%prep
%setup -q
#%patch0 -p1 -b .bonobo
%patch1 -p1 -b .bonobo
%build

autoconf
%configure

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%attr(-, root, root) %doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/glade
%{_datadir}/aclocal/*
%{_libdir}/*.sh

%attr(-, root, root) %doc test-libglade.c
%attr(-, root, root) %doc *.glade
%attr(-, root, root) %doc %{_datadir}/gnome/html/libglade

%changelog
* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-4mdk
- Patch to build against latest version of bonobo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.14-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-2mdk
- recompile with new version of gnome-libs (remove dependency on libasound)
- clean spec

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- release 0.14 (from helix)
- BM + macrozification)

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.13-2mdk
- build against new bonobo.
- new patch libglade-0.13-bonobo.patch

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.13-1mdk
- release from helix.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.12-1mdk
- release from helix
- libglade devel requires gnome-libs-devel instead of gtk+-libs

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.11-2mdk
- adjust group + some cleanup .

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.11

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.9 (This one *really* corrects the "translating of empty strings" bug)
- corrected a little the %files section (the directories named after the
  package name must be included too)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue Sep 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest CVS version; it corrects an annoying bug (gettext() was
  called on empty strings; with the result of having the po fiels header
  being displayed, instead of empty text. it is corrected now)

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Sat Sep 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.4

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.3

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1

